curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"category": "standard",
"configured": true,
"lastSync": {
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"state": "queued",
"createdAt": "2026-08-31T14:22:05Z",
"startedAt": "2026-08-31T14:22:05Z",
"finishedAt": "2026-08-31T14:22:05Z",
"error": "string",
"metricLabel": "string",
"metricCount": 1,
"failedCount": 1
},
"circuitBreaker": {
"state": "closed",
"failures": 1,
"successes": 1,
"consecutiveFailures": 1,
"lastFailureAgeSeconds": 250,
"openedAgeSeconds": 250
},
"sparkline": [
1
],
"successRatePct": 7.5
}
]
List integrations for a tenant, including last sync + circuit breaker snapshots.
Integration summaries, including last sync and circuit breaker snapshots
GET
/
v1
/
tenants
/
{tenant_id}
/
integrations
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"category": "standard",
"configured": true,
"lastSync": {
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"state": "queued",
"createdAt": "2026-08-31T14:22:05Z",
"startedAt": "2026-08-31T14:22:05Z",
"finishedAt": "2026-08-31T14:22:05Z",
"error": "string",
"metricLabel": "string",
"metricCount": 1,
"failedCount": 1
},
"circuitBreaker": {
"state": "closed",
"failures": 1,
"successes": 1,
"consecutiveFailures": 1,
"lastFailureAgeSeconds": 250,
"openedAgeSeconds": 250
},
"sparkline": [
1
],
"successRatePct": 7.5
}
]
Path parameters
string
required
Tenant identifier
Response
object[] — each element:
string
required
Integration identifier in snake_case (crate::http::integrations::IntegrationId), e.g.
shopify, netsuite, dcl, fishbowl, capacity, stateset_api, amazon, tiktok, walmartstring
required
string
required
Category slug (marketplace, erp_oms, wms, threepl_us, threepl_intl, returns, internal)
boolean
required
object
object
integer[]
required
Most recent activity for the integration (oldest to newest)
number
Success rate for finished jobs over the sample window
Status codes
| Code | Meaning |
|---|---|
200 | Integration summaries, including last sync and circuit breaker snapshots |
401 | Unauthorized |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/integrations' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"category": "standard",
"configured": true,
"lastSync": {
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"state": "queued",
"createdAt": "2026-08-31T14:22:05Z",
"startedAt": "2026-08-31T14:22:05Z",
"finishedAt": "2026-08-31T14:22:05Z",
"error": "string",
"metricLabel": "string",
"metricCount": 1,
"failedCount": 1
},
"circuitBreaker": {
"state": "closed",
"failures": 1,
"successes": 1,
"consecutiveFailures": 1,
"lastFailureAgeSeconds": 250,
"openedAgeSeconds": 250
},
"sparkline": [
1
],
"successRatePct": 7.5
}
]
Last modified on August 31, 2026